Name:    installer-distro-alt-education
Version: 11.0
Release: alt4

Summary: Installer common files for ALT Education
License: GPL-2.0
Group: System/Configuration/Other

Url: http://altlinux.org/installer/beans
Source: %name-%version.tar

BuildArch: noarch

BuildRequires: alterator rpm-devel

Provides: installer-distro-education = %EVR
Obsoletes: installer-distro-education < %EVR

%define feature installer-feature-simply-linux

%description
Installer common files for ALT Education.

%package stage2
Summary: Installer stage2
Group: System/Configuration/Other
Provides: installer-distro-education-stage2 = %EVR
Obsoletes: installer-distro-education-stage2 < %EVR
Requires: %name = %version-%release
Requires: installer-common-stage2
# volumes profile
Requires: volumes-profile-education
#modules
Requires: alterator-sysconfig
Requires: alterator-license
#Requires: alterator-auth
Requires: alterator-datetime
Requires: alterator-vm
Requires: alterator-pkg
Requires: alterator-luks
Requires: x-cursor-theme-jimmac
Requires: bc
#features
Requires: installer-feature-autohostname-stage2
Requires: installer-feature-samba-usershares-stage2
Requires: installer-feature-desktop-suspend-stage2
Requires: installer-feature-hwtweaks-stage2
Requires: installer-feature-set-tz
Requires: installer-feature-runlevel5-stage2
Requires: installer-feature-xdg-user-dirs
Requires: installer-feature-auto-domain
Requires: installer-feature-services
Requires: installer-feature-quota-stage2

%description stage2
Installer stage2

%package stage3
Summary: Installer stage3
Group: System/Configuration/Other
Provides: installer-distro-education-stage3 = %EVR
Obsoletes: installer-distro-education-stage3 < %EVR
Requires: %name = %version-%release
Requires: installer-stage3
#modules
%ifnarch armh
Requires: alterator-grub
%endif
Requires: alterator-users
Requires: alterator-root
Requires: alterator-net-eth dhcpcd
Requires: alterator-luks
#Requires: alterator-x11
Requires: installer-feature-nfs-client-stage3
Requires: installer-feature-setup-network-stage3
Requires: installer-feature-online-repo
Requires: installer-feature-lightdm-stage3
Requires: installer-feature-bell-off-stage3

%description stage3
Installer stage3

%package -n volumes-profile-alt-education
Summary: Volumes profile for ALT Education
Group: System/Configuration/Other
Provides: volumes-profile-education = %EVR
Obsoletes: volumes-profile-education < %EVR

%description -n volumes-profile-alt-education
Volumes profile for ALT Education.

%prep
%setup

%install
%makeinstall
rm -rf %buildroot%_datadir/alterator/help/ru_RU \
       %buildroot%_datadir/alterator/help/ru_UA \
       %buildroot%_datadir/alterator/steps
%find_lang alterator-simply-linux

%files -f alterator-simply-linux.lang
%_datadir/install2/help/*

%files stage2
%_datadir/install2/installer-steps
%_datadir/install2/*.d/*
%exclude %_datadir/install2/initinstall.d/10-vm-profile.sh
%_datadir/install2/steps/*
%_datadir/install2/alterator-menu
%_datadir/install2/systemd-enabled
%_datadir/install2/systemd-disabled

%files stage3
%_datadir/alterator/ui/simply-linux

%files -n volumes-profile-alt-education
%_datadir/install2/initinstall.d/10-vm-profile.sh

%changelog
