%define _unpackaged_files_terminate_build 1

%define oname argh
%def_with check

Name: python3-module-%oname
Version: 0.26.2
Release: alt3
Summary: An unobtrusive argparse wrapper with natural syntax
License: LGPLv3
Group: Development/Python3
Url: https://pypi.org/project/argh/

# https://github.com/neithere/argh.git
Source: %name-%version.tar
Patch0: %name-%version-alt.patch

BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3(setuptools)
BuildRequires: python3(wheel)

%if_with check
BuildRequires: python3(mock)
BuildRequires: python3(tox)
%endif

%description
An argparse wrapper that doesn't make you say "argh" each time you deal
with it.

http://argh.rtfd.org

%prep
%setup
%autopatch -p1

%build
%pyproject_build

%install
%pyproject_install

%check
%tox_create_default_config
%tox_check_pyproject

%files
%doc AUTHORS CHANGES *.rst
%python3_sitelibdir/*

%changelog
