%define _unpackaged_files_terminate_build 1
%define oname flake8-debugger
%def_with check

Name: python3-module-%oname
Version: 4.1.2
Release: alt1

Summary: ipdb/pdb statement checker plugin for flake8
License: MIT
Group: Development/Python3
Url: https://pypi.python.org/pypi/flake8-debugger
BuildArch: noarch

# https://github.com/JBKahn/flake8-debugger.git
Source0: %name-%version.tar

BuildRequires(pre): rpm-build-python3

BuildRequires: python3-module-poetry-core

%if_with check
BuildRequires: python3-module-pycodestyle
BuildRequires: python3-module-flake8
%endif

%py3_provides flake8_debugger

%description
Check for pdb;idbp imports and set traces.

This module provides a plugin for ``flake8``, the Python code checker.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%tox_create_default_config
%tox_check_pyproject

%files
%doc *.md
%python3_sitelibdir/*

%changelog
