%def_disable snapshot
%define _unpackaged_files_terminate_build 1
%define modname icu
%define pypi_name PyICU
%define icu_ver 7.4

%def_disable check

Name: python3-module-%modname
# python3 setup.py -V|tail -1
Version: 2.14
Release: alt1

Summary: Python extension wrapping the ICU C++ API
Group: Development/Python3
License: MIT
Url: https://gitlab.pyicu.org/main/pyicu

Vcs: https://gitlab.pyicu.org/main/pyicu.git

%if_disabled snapshot
Source: https://pypi.python.org/packages/source/P/PyICU/%pypi_name-%version.tar.gz
%else
Source: %pypi_name-%version.tar
%endif

BuildRequires(pre): rpm-build-python3
BuildRequires: gcc-c++ libicu-devel >= %icu_ver
BuildRequires: python3-devel python3(wheel) python3(setuptools)
%{?_enable_check:BuildRequires: python3(pytest)}

%description
PyICU - Python 3 extension wrapping the ICU C++ API.

%prep
%setup -n %{?_enable_snapshot:%pypi_name}%{?_disable_snapshot:pyicu}-%version

%build
%pyproject_build

%install
%pyproject_install

%check
%__python3 -m pytest

%files
%python3_sitelibdir/%modname/
#%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/
%python3_sitelibdir/PyICU-%version.dist-info/
%doc CREDITS README* CHANGES samples/


%changelog
