%define _unpackaged_files_terminate_build 1
%define oname setproctitle

%def_enable check

Name: python3-module-%oname
Version: 1.3.1
Release: alt1

Summary: A library to allow customization of the process title
License: BSD
Group: Development/Python3
Url: https://pypi.python.org/pypi/setproctitle/
VCS: https://github.com/dvarrazzo/py-setproctitle.git

Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel
%if_enabled check
BuildRequires: /proc
BuildRequires: python3-module-tox
BuildRequires: python3-module-pytest
%endif

%py3_provides %oname

%description
The library allows a process to change its title (as displayed by system
tools such as ps and top).

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%tox_check_pyproject -- -k "not embedded" -vra

%files
%doc *.rst
%python3_sitelibdir/*

%changelog
