%define _unpackaged_files_terminate_build 1

Name: alterator-application-packages
Version: 0.3.2
Release: alt1

Summary: ALT Packages - Alterator application for managing system packages and package repositories
License: GPLv2+
Group: System/Configuration/Other
URL: https://altlinux.space/alterator/alt-packages

Source0: %name-%version.tar

BuildRequires(pre): rpm-macros-alterator
BuildRequires(pre): rpm-macros-cmake

BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: qt6-base-common qt6-base-devel qt6-tools-devel
BuildRequires: desktop-file-utils ImageMagick-tools

Requires: alterator-backend-packages >= 0.2.5
Requires: alterator-manager >= 0.1.25
Requires: alterator-module-executor >= 0.1.14

%description
ALT - Packages - Alterator application for managing system packages
and package repositories through apt and rpm.

%prep
%setup

%build
%cmake
%cmake_build

%install
%cmakeinstall_std

%files
%doc LICENSE CHANGELOG.md
%_bindir/*
%dir %_alterator_datadir/backends
%dir %_alterator_datadir/applications
%_alterator_datadir/backends/*.backend
%_alterator_datadir/applications/*.application
%_desktopdir/*.desktop

%changelog
