%define _unpackaged_files_terminate_build 1

Name: alterator-backend-batch-components
Version: 0.3
Release: alt1

Summary: Alterator backends for getting information about all components
License: GPLv3
Group: System/Configuration/Other
URL: https://gitlab.basealt.space/alt/alterator-backend-batch_components

BuildArch: noarch
Source0: %name-%version.tar

BuildRequires(pre): rpm-macros-alterator
BuildRequires: python3-devel

Requires: alterator-backend-component
Requires: alt-components-base
Requires: alterator-entry >= 0.3.1
Requires: alterator-manager >= 0.1.25
Requires: alterator-module-executor >= 0.1.14
Requires: alterator-backend-systeminfo

%description
%summary.

%prep
%setup

%install
%makeinstall_std

%files
%dir %_libexecdir/%name
%_libexecdir/%name/batch_info.py
%_libexecdir/%name/batch_status.py
%_alterator_datadir/backends/*.backend
%_datadir/dbus-1/interfaces/*.xml
%_datadir/polkit-1/actions/*.policy

%changelog
