%define _unpackaged_files_terminate_build 1
%def_with noarch

Name: alterator-notes
Version: 1.5.1
Release: alt5

Provides: alterator-license = %version
Obsoletes: alterator-license

%if_with noarch
BuildArch: noarch
%endif

Source:%name-%version.tar

BuildRequires(pre): rpm-macros-alterator
BuildRequires: desktop-file-utils

Summary: alterator module for view license and release notes
License: GPL-2.0+
Group: System/Configuration/Other
Requires: alterator >= 3.1-alt4, alterator-sh-functions
Conflicts: alterator-browser-qt < 2.9.70
Conflicts: alterator-lookout    < 0.3

BuildPreReq: alterator >= 3.1
BuildRequires: alterator
Requires: distro-licenses

%description
alterator module for view license and release notes

%prep
%setup -q

%build
%make_build

%install
%makeinstall
%if_with noarch
rm -rf %buildroot%_alterator_libdir/ui/notes/*.go
%endif

mkdir -p %buildroot/%_bindir
install alterator-notes-show %buildroot/%_bindir/
mkdir -p %buildroot/%_desktopdir
#for n in license release-notes ; do
for n in license ; do
    install -m 0644 \
	%buildroot/%_datadir/alterator/applications/$n.desktop \
	%buildroot/%_desktopdir/%name-$n.desktop
    desktop-file-install --mode=0644 --dir %buildroot/%_desktopdir \
	--add-category=System \
	--add-category=Documentation \
	--set-icon=alt-distro-logo \
	--set-key=Exec \
	--set-value="alterator-notes-show $n" \
	--set-key=NotShowIn \
	--set-value="GNOME;" \
	%buildroot/%_desktopdir/%name-$n.desktop
done
mkdir -p %buildroot/%_datadir/kio_desktop/DesktopLinks/
install -m 0755 %buildroot/%_desktopdir/%name-license.desktop %buildroot/%_datadir/kio_desktop/DesktopLinks/

%files
%_bindir/alterator-notes-show
%_desktopdir/%name-*.desktop
%_datadir/kio_desktop/DesktopLinks/%name-*.desktop
%_alterator_datadir/applications/*
%_alterator_datadir/ui/*/
%if_without noarch
%_alterator_libdir/ui/notes/*.go
%endif
%_alterator_backend3dir/*

%changelog
