%define _unpackaged_files_terminate_build 1
%define alt_name acc
%define legacy_name acc-legacy

Name: alterator-standalone
Version: 7.5.0
Release: alt1

Summary: System Management center
License: GPL
Group: System/Configuration/Other

# The UI modules aren't currently compiled
BuildArch: noarch

Requires: alterator >= 5.0
Requires: alterator-l10n
Requires: alterator-lookout >= 2.5
Requires: alterator-browser-qt >= 2.11.6-alt1

#backward compatibility
Provides: acc = %version, alterator-profile = %version, %name-usermode = %version
Obsoletes: acc, alterator-profile, %name-usermode

Source: %name-%version.tar

BuildPreReq: alterator >= 5.0
BuildPreReq: guile

%description
ALTLinux Control Center
Contains engine for system management

%brp_strip_none %_alterator_libdir/*
%add_verify_elf_skiplist %_alterator_libdir/*
%add_findreq_skiplist %_alterator_libdir/*

%prep
%setup

%build
%make_build

%install
%makeinstall

#install acc as alternative for acc-legacy
install -d %buildroot/%_altdir
cat>%buildroot/%_altdir/%name<<EOF
%_bindir/%alt_name	%_bindir/%legacy_name 20
EOF
touch %buildroot/%_bindir/%alt_name

install -Dpm644 acc.desktop %buildroot/%_desktopdir/acc.desktop

%files
%config %_altdir/%name
%ghost %_bindir/%alt_name
%_bindir/acc-legacy
%_sbindir/acc
%_sbindir/%name
# The UI modules aren't currently compiled
#%_alterator_libdir/ui/*
%_alterator_datadir/ui/*
%_desktopdir/*
%_man8dir/*

%changelog
