%define _unpackaged_files_terminate_build 1

Name: alteratorctl
Version: 0.1.8
Release: alt1

Summary: CLI for alterator-explorer
License: GPL-2.0+
Group: System/Configuration/Other
URL: https://gitlab.basealt.space/alt/alteratorctl

BuildRequires: cmake rpm-macros-cmake cmake-modules gcc glib2-devel libdbus-glib-devel libgio-devel libpcre2-devel
BuildRequires: libffi-devel zlib-devel libmount-devel libblkid-devel libselinux-devel libtomlc99-devel libgumbo-devel
BuildRequires: libpolkit-devel

Requires: alterator-manager >= 0.1.28
Requires: alterator-module-executor >= 0.1.21
Requires: alterator-backend-packages >= 0.1.4
Requires: alterator-interface-component >= 0.1.9
Requires: alterator-backend-component >= 0.1.9
Requires: alterator-backend-component_categories
Requires: alterator-backend-batch-components >= 0.2.2
Requires: alterator-backend-batch-component_categories
Requires: alterator-interface-edition >= 0.1.5
Requires: alterator-interface-diag
Requires: alterator-backend-systeminfo >= 0.3.1
Requires: libtomlc99 polkit

Source0: %name-%version.tar

%description
A command line tool for using alterator DBus objects.

%prep
%setup

%build
%cmake -DCMAKE_BUILD_TYPE=Release
%cmake_build

%install
%cmakeinstall_std

%files
%_bindir/%name
%_datadir/alteratorctl/lang/ru/LC_MESSAGES/%name.mo

%changelog
