Name: synaptic-usermode
Version: 1.3
Release: alt4

Summary: Usermode bindings for synaptic
Group: System/Configuration/Packaging
License: GPL
BuildArch: noarch
Packager: Dmitry V. Levin <ldv@altlinux.org>

Source: %name-%version.tar

Requires: synaptic >= 0.15-alt7, consolehelper

BuildPreReq: libpam-devel

%define conshelpdir %_libexecdir/consolehelper

%description
Synaptic is a graphical front-end for APT (Advanced Package Tool).
It attempts to be a lot easier to use than other existing APT front-ends.

This package contains usermode bindings for synaptic.

%prep
%setup

%install
mkdir -p %buildroot%_bindir
ln -s $(relative %conshelpdir/helper %_bindir/) %buildroot%_bindir/synaptic
install -pD -m640 synaptic.pamd %buildroot%_sysconfdir/pam.d/synaptic
install -pD -m640 synaptic.security %buildroot%_sysconfdir/security/console.apps/synaptic
install -pD -m644 synaptic-256.png %buildroot%_iconsdir/hicolor/256x256/apps/synaptic.png
install -pD -m644 synaptic-scalable.svg %buildroot%_iconsdir/hicolor/scalable/apps/synaptic.svg
install -pD -m644 synaptic.desktop %buildroot%_datadir/applications/synaptic.desktop

%files
%config(noreplace) %_sysconfdir/pam.d/synaptic
%config(noreplace) %_sysconfdir/security/console.apps/synaptic
%_bindir/synaptic
%_datadir/applications/synaptic.desktop
%_iconsdir/hicolor/256x256/apps/synaptic.png
%_iconsdir/hicolor/scalable/apps/synaptic.svg

%changelog
